(function () {
    'use strict';

    angular.module('soter').factory('Album', ['$resource', Album]);

    function Album($resource) {
        return $resource('/v1/album/:id',
            {id: '@id'}, {
                query: {method: 'GET', params: {list: true}, isArray: true},
                pictures: {method: 'GET', params: {pictures: true}, isArray: false}
            });
    }
})();
