(function () {
    'use strict';

    angular.module('soter').factory('User', ['$resource', User]);

    function User($resource) {
        return $resource('/v1/user/:id',
            {id: '@UserID'}, {
                query: {method: 'GET', params: {list: true}, isArray: true},
                names: {method: 'GET', params: {names: true}, isArray: true}
            });
    }
})();

